Search documentation of phoenix_kit

# PhoenixKit.Utils.HeroIcons (phoenix_kit v1.6.19)

View Source

Curated list of Heroicons for use in the application. Icons are grouped by category for easy browsing.

# Summary

## Functions

list_all_icons()

Returns a flat list of all available icons.

list_categories()

Returns all category names.

list_icons_by_category()

Returns all available icons grouped by category.

search_icons(query)

Searches for icons by name or display name.

# Functions

# list_all_icons()

Returns a flat list of all available icons.

# list_categories()

Returns all category names.

# list_icons_by_category()

Returns all available icons grouped by category.

# search_icons(query)

Searches for icons by name or display name.